﻿
HealPointsTalents = { };

HealPointsTalents.PALADIN = {
	HEALIG = { tab = 1, num =  3 },
	DIVINT = { tab = 1, num =  4 },
	ILLUMI = { tab = 1, num =  7 },
	SANCLI = { tab = 1, num = 13 },
	HOLYGU = { tab = 1, num = 21 },

	BENEDI = { tab = 3, num = 2},
};

HealPointsTalents.PRIEST = {
	TWINDI = { tab = 1, num =  2 },		--Twin Disciplines: Increases your Shadow and Holy spell damage and healing by 2%/4%/6%
	--MEDITA = { tab = 1, num =  9 },	--Meditation: Allows 50% of your mana regeneration from Spirit to continue while in combat.  Is now part of Discipline and Holy specializations
	--MENAGI = { tab = 1, num = 11 },
	--MENSTR = { tab = 1, num = 13 },
	--FOCUSP = { tab = 1, num = 16 },
	--ENLIGH = { tab = 1, num = 17 },

	IMPREN = { tab = 2, num =  2 },		--Improved Renew: Increases the amount healed by your Renew spell by 5%/10%.
	EMPHEA = { tab = 2, num = 20 },		--Empowered Healing: Increases the healing done by your Flash Heal, Binding Heal and Greater Heal by 5%/10%/15%.
	DIVFUR = { tab = 2, num =  5 },		--Divine Fury: Reduces the casting time of your Smite, Holy Fire, Heal and Greater Heal spells by 0.15 sec/0.35 sec/0.5 sec.
	DivineTouch = { tab=2, num=7},		--Divine Touch: Your Renew will instantly heal the target for 5%/10% of the total periodic effect.
	IMPHEA = { tab = 2, num = 10 },
	HEAPRA = { tab = 2, num = 12 },
	SPIRED = { tab = 2, num = 13 },
	SPIGUI = { tab = 2, num = 14 },
	SPIHEA = { tab = 2, num = 16 }, 
	HOLCON = { tab = 2, num = 17 },
	
	IMPHOC = { tab = 2, num = 22 },
	DIVPRO = { tab = 2, num = 25 },
};

HealPointsTalents.DRUID = {
	GENESI = { tab = 1, num =  2 }, -- TODO: How does this work with Regrowth and Lifebloom?
	MOONGL = { tab = 1, num =  3 }, 
	NATMAJ = { tab = 1, num =  4 },
	NATSPL = { tab = 1, num =  8 }, 
	LUNGUI = { tab = 1, num = 12 },
	DREAMS = { tab = 1, num = 15 },

	NURINS = { tab = 2, num = 15 },
	HEOFWI = { tab = 2, num = 17 },
	SURFIT = { tab = 2, num = 18 },

	NATURA = { tab = 3, num =  4 },
	INTENS = { tab = 3, num =  7 },
	MASSHA = { tab = 3, num =  9 },
	TRASPI = { tab = 3, num = 10 },
	IMPREJ = { tab = 3, num = 11 },
	GIOFNA = { tab = 3, num = 13 },
	EMPOHT = { tab = 3, num = 15 }, 
	IMPREG = { tab = 3, num = 16 }, 
	LIVSPI = { tab = 3, num = 17 },
	EMPREJ = { tab = 3, num = 20 }, -- TODO: How does this work with Regrowth and Lifebloom?
	IMPTOL = { tab = 3, num = 24 },
	GOTEMO = { tab = 3, num = 25 }, -- TODO: Implement
};

HealPointsTalents.SHAMAN = {
	--[[In Mists all talents are now irrelavent
	UNRSTO = { tab = 1, num = 13 },

	ANCKNO = { tab = 2, num =  3 },
	MENQUI = { tab = 2, num = 21 }, -- TODO: Implement

	--IMHEWA = { tab = 3, num =  1 },
	TidalFocus =  { tab = 3, num = 2 },  --Tidal Focus: Reduces the mana cost of your spells by 2%/4%/6%  (TIDFOC)
	SparkOfLife = { tab = 3, num = 3 },  --Spark of Life: Increases your healing done by 2%/4%/6%
	Resurgence =  { tab = 3, num = 4 },  --Resurgence: Regain mana when direct heals have a critical effect
	NATBLE =      { tab = 3, num = 10 }, --Nature's Blessing: Increases the effectiveness of heals on Earth Shielded targets by 18%
	SoothingRain = {tab = 3, num = 11 }, --Soothing Rain: Increases the amount healed by Healing Rain by 30%
	--TIDWAV =      { tab = 3, num = 18 }, --Tidal Waves:  Supported 50%
	PURIFI =      { tab = 3, num = 15 },
	IMPCHA =      { tab = 3, num = 20 },
	--]]
};
		
function HealPointsTalents:getTalentRank(talent)
	if talent == nil then
		error("HealPointsTalents:getTalentRank  parameter talent is nil", 2);
	end;
		
	local _, _, _, _, currRank, _ = GetTalentInfo(talent.tab, talent.num);
	return currRank
end

function HealPointsTalents:talentTest(tab, num)
	local name = GetTalentInfo(tab, num);
	HealPoints:Print("*"..name.."*");
end